org.apache.tinkerpop.gremlin.process.traversal.step.map

## Enum IndexStep.IndexerType

- java.lang.Object
- - java.lang.Enum<IndexStep.IndexerType>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.IndexStep.IndexerType

- All Implemented Interfaces:
    Serializable, Comparable<IndexStep.IndexerType>
  Enclosing class:
    IndexStep<S,E>

      public static enum IndexStep.IndexerType
      extends Enum<IndexStep.IndexerType>

  Type of the index as it corresponds to the associated `WithOptions.list` and `WithOptions.map`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIST`
    `MAP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static IndexStep.IndexerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexStep.IndexerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIST

          public static final IndexStep.IndexerType LIST

    - #### MAP

          public static final IndexStep.IndexerType MAP

  - ### Method Detail

    - #### values

          public static IndexStep.IndexerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexStep.IndexerType c : IndexStep.IndexerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexStep.IndexerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.